PLaSK library

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
plask::ModeLoss Struct Reference

Modal loss (1/cm). More...

`#include <plask/properties/optical.hpp>`

Inheritance diagram for plask::ModeLoss:
[legend]
Collaboration diagram for plask::ModeLoss:
[legend]

## Static Public Attributes
static constexpr const char * | NAME = "modal extinction"
static constexpr const char * | UNIT = "1/cm"
Static Public Attributes inherited from plask::Property< _propertyType, _ValueType2D, _ValueType3D, _ExtraParams >
static const PropertyType | propertyType = _propertyType
| Type of property.
static constexpr const char * | NAME = PropertyTypeToProviderName<_propertyType>::value
| Name of the property.
static constexpr bool | hasUniqueValueType = false
| `true` only if property use same value type in 2D and 3D space

## Additional Inherited Members
Public Types inherited from plask::MultiValueProperty< double >
typedef size_t | EnumType
| Default value enumeration type.
Public Types inherited from plask::Property< _propertyType, _ValueType2D, _ValueType3D, _ExtraParams >
typedef _ValueType2D | ValueType2D
| Type of provided value in 2D space.
typedef _ValueType3D | ValueType3D
| Type of provided value in 3D space.
typedef VariadicTemplateTypesHolder< _ExtraParams... > | ExtraParams
| Extra parameters passed as arguments to provider to get value.
Static Public Member Functions inherited from plask::Property< _propertyType, _ValueType2D, _ValueType3D, _ExtraParams >
static ValueType2D | getDefaultValue2D ()
| Return default value of the property (usually zero) in 2D space.
static ValueType3D | getDefaultValue3D ()
| Return default value of the property (usually zero) in 3D space.

## Detailed Description

Modal loss (1/cm).

Additional integer parameter is the mode number.

Definition at line 132 of file optical.hpp.

## Member Data Documentation

## ◆ NAME

constexpr const char * plask::ModeLoss::NAME = "modal extinction"
| static constexpr

Definition at line 133 of file optical.hpp.

## ◆ UNIT

constexpr const char * plask::ModeLoss::UNIT = "1/cm"
| static constexpr

Definition at line 134 of file optical.hpp.

The documentation for this struct was generated from the following files:

- plask/properties/optical.hpp
- plask/properties/names.cpp